Skip to main content
POST
Update Custom Attributes

Authorizations

api-access-token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

Body

application/json
custom_attributes
object
required

The custom attributes to be set for the conversation

Example:
merge
boolean
default:false

When true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys.

Response

Success

custom_attributes
object

The custom attributes of the conversation